<template lang="pug">
.home__recommend
  .home__recommend--background
    .home__recommend--item
      h3.p1 Recommend Restaurant
    .home__recommend--item
      .wrap-items.row
        .col-6.col-md-4(v-for="(item, index) in lists.a_highlight_explore" :key="index")
          card-item(:item="item")
    .home__recommend--item
      .text-right
        b-button(
          size="sm"
          :to="{ name: 'explore' }"
          ) Explore All
</template>

<script>
import anime from 'animejs'

import { ContentServices } from '~/services'
import CardItem from '~/components/templates/card/item'
export default {
  components: {
    CardItem
  },
  data() {
    return {
      lists: []
    }
  },
  async mounted() {
    this.lists = await ContentServices.getRecommend()
  },
  methods: {
    onAir() {
      if (this.animated) return
      this.animated = true
    }
  }
}
</script>

<style lang="scss" scoped>

.home {
  overflow: hidden;
  &__recommend {
    position: relative;
    // background-color: $aqua-marine;
    // max-height: 100vh;
    // overflow: hidden;

    &--background {
      
    }
  }
}
</style>